Bug 918160 - Orphan list --summary mode isn't a summary
Summary: Orphan list --summary mode isn't a summary
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: 2.0.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.1.0
Assignee: Jason Connor
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-05 15:44 UTC by Jay Dobies
Modified: 2014-03-31 01:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-08 16:02:01 UTC


Attachments (Terms of Use)

Description Jay Dobies 2013-03-05 15:44:57 UTC
Not sure if this is a bug or a misinterpretation of what the summary feature was intended to be, but all of the data is being spit out and then the summary information displayed.

The intention was to avoid spamming the screen with a massive quantity of data about every orphaned unit and simply give the user an idea of how many of each type are orphaned.

This is related to 916794 which is about the fact that the list call can take a huge amount of time and memory to serialize the details of every orphaned unit.

The summary functionality (which I'm still thinking should be the default) should have the server calculate the counts by type and only return and display those. That should alleviate the 20 minute list call that realistically the user can't read in the first place.


Below it the snippet John sent me when I suggested he use the summary view.


 # time pulp-admin orphan list --summary
 
.... snip
...
 
http://www.postgresql.org/docs/8.4/static/release-8-4-9.html
http://www.postgresql.org/docs/8.4/static/release-8-4-8.html
including the fix for CVE-2011-2483 Resolves: #740736</changelog>
<changelog author="Tom Lane &lt;tgl@redhat.com&gt; 8.4.11-1"
date="1334232000">- Update to PostgreSQL 8.4.11, for various fixes
described at
http://www.postgresql.org/docs/8.4/static/release-8-4-11.html
http://www.postgresql.org/docs/8.4/static/release-8-4-10.html
including the fixes for CVE-2012-0866, CVE-2012-0867, CVE-2012-0868
Resolves: #812081</changelog> </package>
Primary: <package type="rpm"> <name>postgresql-devel</name>
<arch>i686</arch> <version epoch="0" ver="8.4.11" rel="1.el6_2"/>
<checksum type="sha"
pkgid="YES">1b56dbe08b0222bb86f12004171d21063544ae43</checksum>
<summary>PostgreSQL development header files and
libraries</summary> <description>The postgresql-devel package
contains the header files and libraries needed to compile C or C++
applications which will directly interact with a PostgreSQL
database management server and the ecpg Embedded C Postgres
preprocessor. You need to install this package if you want to
develop applications which will interact with a PostgreSQL
server.</description> <packager>Red Hat, Inc.
&lt;http://bugzilla.redhat.com/bugzilla&gt;</packager>
<url>http://www.postgresql.org/</url> <time file="1337278310"
build="1334267332"/> <size package="822412" installed="3548088"
archive="3637192"/> <location
href="postgresql-devel-8.4.11-1.el6_2.i686.rpm"/> <format>
<rpm:license>PostgreSQL</rpm:license> <rpm:vendor>Red Hat,
Inc.</rpm:vendor> <rpm:group>Development/Libraries</rpm:group>
<rpm:buildhost>x86-004.build.bos.redhat.com</rpm:buildhost>
<rpm:sourcerpm>postgresql-8.4.11-1.el6_2.src.rpm</rpm:sourcerpm>
<rpm:header-range start="1384" end="100120"/> <rpm:provides>
<rpm:entry name="postgresql-devel" flags="EQ" epoch="0"
ver="8.4.11" rel="1.el6_2"/> <rpm:entry
name="postgresql-devel(x86-32)" flags="EQ" epoch="0" ver="8.4.11"
rel="1.el6_2"/> </rpm:provides> <rpm:requires>
<rpm:entry name="/bin/sh"/> <rpm:entry name="libc.so.6"/>
<rpm:entry name="libc.so.6(GLIBC_2.0)"/> <rpm:entry
name="libc.so.6(GLIBC_2.1)"/> <rpm:entry
name="libc.so.6(GLIBC_2.1.2)"/> <rpm:entry
name="libc.so.6(GLIBC_2.2)"/> <rpm:entry
name="libc.so.6(GLIBC_2.3)"/> <rpm:entry
name="libc.so.6(GLIBC_2.3.3)"/> <rpm:entry
name="libc.so.6(GLIBC_2.3.4)"/> <rpm:entry
name="libc.so.6(GLIBC_2.4)"/> <rpm:entry
name="libecpg.so.6"/> <rpm:entry name="libecpg_compat.so.3"/>
<rpm:entry name="libpgtypes.so.3"/> <rpm:entry
name="libpq.so.5"/> <rpm:entry name="libpthread.so.0"/>
<rpm:entry name="libpthread.so.0(GLIBC_2.0)"/> <rpm:entry
name="postgresql(x86-32)" flags="EQ" epoch="0" ver="8.4.11"
rel="1.el6_2"/> <rpm:entry name="postgresql-libs(x86-32)"
flags="EQ" epoch="0" ver="8.4.11" rel="1.el6_2"/> <rpm:entry
name="rtld(GNU_HASH)"/> </rpm:requires>
<file>/usr/bin/ecpg</file> <file>/usr/bin/pg_config</file>
</format> </package>
Requires: [[u'rtld(GNU_HASH)', None, [None, None, None]],
[u'postgresql-libs(x86-32)', u'EQ', [u'0', u'8.4.11',
u'1.el6_2']], [u'postgresql(x86-32)', u'EQ', [u'0', u'8.4.11',
u'1.el6_2']], [u'libpthread.so.0(GLIBC_2.0)', None, [None, None,
None]], [u'libpthread.so.0', None, [None, None, None]],
[u'libpq.so.5', None, [None, None, None]], [u'libpgtypes.so.3',
None, [None, None, None]], [u'libecpg_compat.so.3', None, [None,
None, None]], [u'libecpg.so.6', None, [None, None, None]],
[u'libc.so.6(GLIBC_2.4)', None, [None, None, None]],
[u'libc.so.6(GLIBC_2.3.4)', None, [None, None, None]],
[u'libc.so.6(GLIBC_2.3.3)', None, [None, None, None]],
[u'libc.so.6(GLIBC_2.3)', None, [None, None, None]],
[u'libc.so.6(GLIBC_2.2)', None, [None, None, None]],
[u'libc.so.6(GLIBC_2.1.2)', None, [None, None, None]],
[u'libc.so.6(GLIBC_2.1)', None, [None, None, None]],
[u'libc.so.6(GLIBC_2.0)', None, [None, None, None]],
[u'libc.so.6', None, [None, None, None]], [u'/bin/sh', None,
[None, None, None]]]
Vendor: Red Hat, Inc.
Version: 8.4.11
 
 
+----------------------------------------------------------------------+
Summary
+----------------------------------------------------------------------+
 
Distribution: 1
Erratum: 1048
Package Category: 10
Package Group: 202
Rpm: 7281
Total: 8542

Comment 1 Jason Connor 2013-03-20 21:01:39 UTC
Summary mode is now the default and we've changed out the --summary flag with a --details in order to show the individual orphaned content units.

Merged into pulp-2.1

Comment 2 Jeff Ortel 2013-03-21 14:47:24 UTC
build: 2.1.0-0.25.beta

Comment 3 Preethi Thomas 2013-03-27 15:39:12 UTC
[root@cloud-qe-8 ~]# rpm -q pulp-server
pulp-server-2.1.0-0.26.beta.noarch
[root@cloud-qe-8 ~]# 

[root@cloud-qe-8 ~]# pulp-admin orphan list --details |more
Arch:     i386
Family:   Red Hat Enterprise Linux
Id:       ks-Red Hat Enterprise Linux-Server-6.4-i386
Variant:  Server
Version:  6.4


Id:  RHEA-2012:0976


Id:  RHBA-2011:0770


Id:  RHBA-2012:0708


Id:  RHEA-2012:0065


Id:  RHEA-2011:1663


Id:  RHBA-2011:0718


[root@cloud-qe-8 ~]# pulp-admin orphan list
+----------------------------------------------------------------------+
                                Summary
+----------------------------------------------------------------------+

Distribution:      1
Erratum:           1725
Package Category:  10
Package Group:     202
Rpm:               7816
Total:             9754


[root@cloud-qe-8 ~]#

Comment 4 Preethi Thomas 2013-04-08 16:02:01 UTC
Pulp 2.1 released 


http://www.pulpproject.org/2013/04/05/pulp-2-1-0-released/


Note You need to log in before you can comment on or make changes to this bug.